/*
  Copyright (C) 2002-2017 CERN for the benefit of the ATLAS collaboration
*/

///////////////////////////////////////////////////////////////////
// FaserSCT_RawData.h
//   Header file for class FaserSCT_RawData
///////////////////////////////////////////////////////////////////
// (c) ATLAS Detector software
///////////////////////////////////////////////////////////////////
// Class to implement RawData for SCT
///////////////////////////////////////////////////////////////////
// Version 1.0 13/08/2002 Veronique Boisvert
///////////////////////////////////////////////////////////////////

#ifndef TRACKERRAWDATA_FASERSCT_RDORAWDATA_H
#define TRACKERRAWDATA_FASERSCT_RDORAWDATA_H

// Base class
#include "TrackerRawData/TrackerRawData.h"



class FaserSCT_RDORawData :  public TrackerRawData{


  ///////////////////////////////////////////////////////////////////
  // Public methods:
  ///////////////////////////////////////////////////////////////////
public:

  // Constructor with parameters:
  // offline hash Id, last, word
  FaserSCT_RDORawData(const Identifier rdoId, const unsigned int word);

  // Destructor:
  virtual ~FaserSCT_RDORawData() = default;

  ///////////////////////////////////////////////////////////////////
  // Virtual methods 
  ///////////////////////////////////////////////////////////////////

  // pure virtual
  virtual int getGroupSize() const = 0;

  ///////////////////////////////////////////////////////////////////
  // Static methods:
  ///////////////////////////////////////////////////////////////////

  // Default copy constructor
  FaserSCT_RDORawData(const FaserSCT_RDORawData&) = default;
  // Default assignment operator
  FaserSCT_RDORawData& operator=(const FaserSCT_RDORawData&) = default;
  // Default move constructor
  FaserSCT_RDORawData(FaserSCT_RDORawData&&) = default;
  // Default move assignment operator
  FaserSCT_RDORawData& operator=(FaserSCT_RDORawData&&) = default;

  // Create a new FaserSCT_RawData and return a pointer to it:
  //  static FaserSCT_RawData *newObject(const Identifier rdoId, const unsigned int word);
  ///////////////////////////////////////////////////////////////////
  // Private methods:
  ///////////////////////////////////////////////////////////////////
private:

  
  FaserSCT_RDORawData();

  ///////////////////////////////////////////////////////////////////
  // Private data:
  ///////////////////////////////////////////////////////////////////
private:


};

///////////////////////////////////////////////////////////////////
// Inline methods:
///////////////////////////////////////////////////////////////////

#endif // TRACKERAWDATA_FASERSCT_RDORAWDATA_H
